// 1. Опишіть своїми словами як працює метод forEach.
// Метод слугує лише засобом для перебору масиву. Для кожного його елемента викликає функцію callback, при цьому нічого не повертає.
//
// 2. Як очистити масив?
// Присвоїти масиву нулеву довжину, або ж лишити масив пустим, тобто без заданих значень.
//
// 3. Як можна перевірити, що та чи інша змінна є масивом?
// Метод isArray() дозволє превірити змінну. Якщо повертає true – це масив, повертає false – не масив.

let newUser =["Yulia", 29, "Miller", "25", null];

function filterBy(array, type) {
    return array.filter(item => typeof item !== type);
}

let newArray = filterBy(newUser, "string");
console.log(newArray);
